package eu.teraflow.automation.model;

import eu.teraflow.automation.device.model.DeviceId;
import eu.teraflow.automation.device.model.Uuid;

public class DeviceRoleId {

    private final Uuid devRoleId;
    private final DeviceId deviceId;

    public DeviceRoleId(Uuid devRoleId, DeviceId deviceId) {
        this.devRoleId = devRoleId;
        this.deviceId = deviceId;
    }

    public Uuid getDevRoleId() {
        return devRoleId;
    }

    public DeviceId getDeviceId() {
        return deviceId;
    }
}
